package body MSHTML.IHTMLScriptElement2_Object is

   procedure Put_charset
     (This : IHTMLScriptElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLScriptElement2_Put_charset,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_charset;

   function Get_charset
     (This : IHTMLScriptElement2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLScriptElement2_Get_charset);
   end Get_charset;

end MSHTML.IHTMLScriptElement2_Object;

